/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.filetree;

import java.nio.file.Path;


import javax.swing.tree.DefaultMutableTreeNode;

public class FileTreeNode extends DefaultMutableTreeNode {
	private static final long serialVersionUID = 1L;
	
	private Path file;
	
	private static String empty;
	
	public static void setEmpty(String empty) {
		FileTreeNode.empty = empty;
	}
	
	public FileTreeNode(Path file,String displayName) {
		super(displayName);
		this.file=file;
	}
	
	public FileTreeNode() {
		super("");
	}
	
	public void setDisplayName(String displayName) {
		super.setUserObject(displayName);
	}

	public Path getFile() {
		return file;
	}
	
	public static FileTreeNode getEmptyNode() {
		return new FileTreeNode(null, empty);
	}
//	
//	@Override
//	public FileTreeNode clone() {
//		FileTreeNode n=(FileTreeNode) super.clone();
//		
//		n.children=(Vector<?>) this.children.clone();
//		
//		if (this.file!=null) n.file=new File(this.file.getAbsolutePath());
//		return n;
//	}
}
